<!DOCTYPE html>
<html>
    <head>
        <script src="https://cdn.rawgit.com/konvajs/konva/2.0.3/konva.min.js"></script>
        <meta charset="utf-8">
        <title>Konva Image Demo</title>
        <style>
            body {
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #F0F0F0;
            }
        </style>
    </head>
    <body>
    <div id="container"></div>
    <script>
        var width = window.innerWidth;
        var height = window.innerHeight;

        var stage = new Konva.Stage({
            container: 'container',
            width: width,
            height: height
        });

        var layer = new Konva.Layer();

        var rect = new Konva.Rect({
            x: 50,
            y: 50,
            width: 400,
            height: 400,
            fill: 'green',
            stroke: 'black',
            strokeWidth: 4,
            fillPatternRepeat: "repeate",
            fillPatternX: 20,
            fillPatternY: 10
        });

        var imageObj = new Image();
        imageObj.onload = function() {

            var yoda = new Konva.Image({
                x: 50,
                y: 50,
                image: imageObj,
                width: 148,
                height: 87,
                fillPatternRepeat: "repeate",
                fillPatternX: 20,
                fillPatternY: 10
            });

            rect.fillPatternImage(imageObj);
            rect.fillPatternRepeat("repeate");
            rect.fillPatternX(2);

            layer.add(rect);

            // add the shape to the layer
            layer.add(yoda);

            // add the layer to the stage
            stage.add(layer);
        };
        imageObj.src = 'assets/background.png';
    </script>

    </body>
</html>